export declare abstract class AssetManager<TAsset> {
    protected readonly assets: Record<string, TAsset>;
    protected constructor();
    protected initAsset(assetKey: string, asset: TAsset): void;
    getAsset(assetKey: string): TAsset | null;
}
//# sourceMappingURL=asset-manager.d.ts.map